Commits

Roger Pate committed 715176f

No longer support Python 2.5

  • Participants
  • Parent commits 686b82a

Comments (0)

Files changed (1)

dot.pythonstartup.py

 """Interactive interpreter startup
 
 This is written to be both 2.x and 3.x compatible, but a better scheme (e.g. checking version here and conditionally importing from other modules) could be less fragile and more useful.
+
+Requires at least Python 2.6.
 """
 
 
     raise ValueError("invalid n")
   args = (iter(iterable),) * n
   if longest:
-    return itertools.izip_longest(*args, **{"fillvalue": missing})
+    return itertools.izip_longest(*args, fillvalue=missing)
   else:
     return itertools.izip(*args)